Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

Cat 6500 inventory

On the 2950 or 3750 I can use sh inv to get serial numbers of installed modules. I need the equivalent for a Catalyst 6500 switch/router.

Thanks.

5 REPLIES
Cisco Employee

Re: Cat 6500 inventory

Hi William,

If you are running 6k with Native IOS issue this command "sh idprom all" and it will give you serial number of all modules installed including chassis serial number.

You can also have a look at this link which will give you commands to find the serial number of Catalyst switch components. This link includes commands for all switches.

http://www.cisco.com/warp/public/473/serial_41361.html#

HTH

Ankur

*Pls rate all helpfull post

New Member

Re: Cat 6500 inventory

Hi Arthur -

That helped, but I am also looking to get the serial numbers off of the GBICs that are in a GBIC module I have in one of the slots. Any thoughts?

Bill

Cisco Employee

Re: Cat 6500 inventory

Hi Friend,

It depends on the IOS which you are running on your Cat6k. If you have 12.1(19) and above issue this command "sh idprom interface type/mod/port"

The security enabled GBIC modules have a serial EEPROM that contains the serial mumber, a security code, and cyclic redundancy check (CRC). When the GBIC module is inserted into the switch, the software reads the EEPROM to recompute the security code and CRC. The software generates an error message if the CRC is invalid or if the recomputed security code does not match the one stored in the EEPROM (All 1000BT GBICs and SFP GBICs are security enabled. Newer shipping LX/SX GBICs too).

HTH

Ankur

*Pls rate all helpfull post

New Member

Re: Cat 6500 inventory

Nope 12.1(11b). I don't seem to have any idprom commands under show. Do I need to upgrade the IOS just to get this information?

Cisco Employee

Re: Cat 6500 inventory

Hi William,

Yes you need to upgrade to get this command supported. "sh idprom" may be supported in some release lower than 12.1(19) but for "sh idprom interface" command need minimum 12.1(19)

HTH

Ankur

*Pls rate all helpfull post

204
Views
0
Helpful
5
Replies
CreatePlease to create content